4.1E hacks.ini!

Discussion in 'Wii - Hacking' started by damysteryman, Jul 19, 2009.

  1. damysteryman
    OP

    damysteryman I am too busy IRL these days...

    Member
    1,190
    244
    Oct 4, 2007
    I have managed to port the preloader hacks from 4.0E to 4.1E and 4.1U. They work on my console except for a few (more silly ones, like the DSI code dump).

    EDIT: UPDATED! Now has BOTH 4.1E and 4.1U
    http://www.mediafire.com/download.php?hoyimnnd45z

    Use the download link instead of copying from the spoilers below (they are for reference only, as its line breaks stuff up the last hack)

    They have also been added to wiibrew:
    http://www.wiibrew.org/wiki/Preloader/hacks

    4.1E
    Warning: Spoilers inside!

    4.1U
    Warning: Spoilers inside!

    Anyways, enjoy!
     


  2. Hybridx24

    Hybridx24 GBAtemp Regular

    Member
    152
    0
    Aug 17, 2008
    United States
    I have a 4.0U Wii, but I still have to say good work. [​IMG]
     
  3. Sven Viking

    Sven Viking Newbie

    Newcomer
    9
    0
    Oct 27, 2008
    New Zealand
  4. Dteyn

    Dteyn GBAtemp Fan

    Member
    338
    2
    Aug 3, 2008
    Canada
    Awesome, great work da_letter_a. [​IMG]

    I have a quick question, did you use IDA Pro to port these? If so I'm curious if you can give me a hand, I've been trying to use IDA Pro to disassemble the system menu, to search for new Preloader hack offsets. I can't seem to figure out how to load the 00000008.app file properly and analyze it.

    If you didn't use IDA Pro, do you mind sharing how you ported the hacks? I don't mind doing the legwork for 4.1U, just not sure where to begin if not by using IDA or another disassembler. Cheers! [​IMG]
     
  5. pm_41

    pm_41 GBAtemp Regular

    Member
    204
    0
    Jul 1, 2009
    United States
    Lurking in my Wii's NAND
    OMG! Port them to USA!!! [​IMG]
     
  6. WiiLee

    WiiLee GBAtemp Regular

    Member
    133
    0
    Feb 20, 2009
    United States
    USA plz im gonna be away from wii for 2 weeks so im nnot in a hurry
     
  7. damysteryman
    OP

    damysteryman I am too busy IRL these days...

    Member
    1,190
    244
    Oct 4, 2007
    @Dteyn

    All I used was a hex editor, windows calculator, and notepad.

    I opened up the 00000008.app files from 4.0E and 4.1E in a hex editor. Then I converted the 4.0E preloader memory hack offsets to the actual offsets within the dol, by getting the hacks.ini offset and subtracting 0x8132FAE0 from it. I went to this offset and copied the value at this offset, an searched for this value in the 4.1E 00000008.app. I found the address and then added 0x8132FAE0 to it to convert it back to a preloader memory hack offset, and put it in hacks.ini, with 4.1E's version number (v450).

    And I think I will port these 4.1E hacks to 4.1U now. They are similar, so it shouldn't be hard. I've just got to "acquire" a System Menu 4.1U wad (v449) but it might take a while, as my internet is slow.
     
  8. Dteyn

    Dteyn GBAtemp Fan

    Member
    338
    2
    Aug 3, 2008
    Canada
    I figured out how to load the DOL into IDA Pro 5.2, basically I just needed to install the DOL and GekkoPS plugins for IDA Pro 5.2 and then it worked perfectly.

    In the next few days I think I'll go through the disassemblies and see if I can port all the 4.1E hacks to 4.1U. It'll probably take me a while, da_letter_a you can likely do it faster than I with the hex editor. Here is the extracted DOL (00000008.app) file from 4.1U: http://sharebee.com/0de96bc8

    That should be a smaller download for ya. Cheers! [​IMG]
     
  9. grox

    grox Member

    Newcomer
    47
    0
    Mar 18, 2008
    Netherlands
    I use these setting op my pal Wii, but i keep getting the error. Syntax Error, and the something with EOF at line 1.
    Anyone seen this before??
     
  10. thc42O

    thc42O Banned

    Banned
    470
    0
    Jan 3, 2009
    Canada
    great job [​IMG] im sure all will enjoy this that have pal consoles
    hope u consider doing the 4.1U porting i and several others will greatly appreciate this
     
  11. Frozen_Fish

    Frozen_Fish GBAtemp Regular

    Member
    155
    14
    May 31, 2007
    It's a problem with the [DSI Error code at Wii system menu Startup!] hack, just remove it from the ini file and it should work fine.
     
  12. Adr990

    Adr990 To boldly go where no man has gone before!

    Member
    1,470
    146
    Apr 22, 2007
    Netherlands
    The Netherlands
    Woah dude!
    Awesome!!!

    Thanks. [​IMG]

    This is great!
     
  13. grox

    grox Member

    Newcomer
    47
    0
    Mar 18, 2008
    Netherlands
    Thanks for the quick reply, it works now!!
     
  14. wiistiti

    wiistiti Member

    Newcomer
    10
    0
    Jul 19, 2009
    France

    if you cut and pasted from the spoiler, you need to remove the line breaks on the [DSI Error code at Wii system menu Startup!] hack.
     
  15. wiistarter

    wiistarter GBAtemp Fan

    Member
    385
    0
    Apr 11, 2009
    Excellent stuff..Thanks for this. Its the only thing that stopped me upgrading
     
  16. supagusti

    supagusti GBAtemp Regular

    Member
    287
    0
    Feb 2, 2008
    Australia
    Nice work - works like a charm !
     
  17. Logan

    Logan GBAtemp Advanced Fan

    Member
    606
    0
    Nov 21, 2003
    Northampton, UK
    Thank you very much [​IMG]
     
  18. johani

    johani Newbie

    Newcomer
    2
    0
    Jul 19, 2009
    France
    halo
    ihave a problem withe the 4.1e i can not openthe config menu (gears) and choose backup NAND
    it juste haung so ican not acces if somme one have a salotion
     
  19. HiBit

    HiBit GBAtemp Fan

    Member
    477
    0
    Jun 19, 2009
    Gambia, The
    I use Waninkoko Firmware Updater 4.1 to update from 4.0E and my Wii work fine.

    I reinstall Preloader 0.29 and my Wii work fine.

    I use the hacks.ini for sysmenu v450 and my Wii now shows only the version number 4.1E at startup(same screen as recovery mode) and if i try to start the sysmenu from preloader.
    Same problem with or without the hacks.ini.

    The HBC work fine and i know how i can reinstall the sysmenu, preloader and so on.


    But is it possiblem to fix this little problem easy?
    If not it's ok, than i reinstall the sysmenu and preloader again.


    FIXED:
    http://gbatemp.net/index.php?showtopic=168...t&p=2129970
     
  20. urherenow

    urherenow GBAtemp Addict

    Member
    2,917
    847
    Mar 8, 2009
    United States
    Japan
    perhaps try using the preloader hacks remover?

    then try it again with the hacks that were meant for your system menu version